import Dialog from "./Dialog.js";

export default class DialogNotification extends Dialog
{
    constructor(message, callback = function () {})
    {
        super();
        this.buttonOk = this.createButton('OK');
        this.buttonOk.addEventListener(
            'click',
            () => {
                callback();
                this.htmlElement.remove();
            }
        );
        this.setMessage(message)
    }
}